### Method

# Secret Service clear

#### Declaration [src]

    void
    secret_service_clear (
      SecretService* service,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Remove unlocked items which match the attributes from the secret service.

The `attributes` should be a set of key and value string pairs.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

This method will return immediately and complete asynchronously.

This method completes asynchronously. Use `secret_service_clear_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`service`

  Type: `SecretService`

  The secret service.

  The argument can be `NULL`.

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.